import com.tildemh.jgwizard.*;
import org.gnu.gtk.*;
import org.gnu.gtk.event.*;


/**
 * The first of the sitemap pages
 */
public class SMStartPage extends WizardPage{

	/**
	 * Constructs a new page
	 */
	public SMStartPage(WizardForm wizard, WizardPage parent){
		super(wizard, parent, DomesdayGUI.messages.getString("SMStartTitle"));
	}

	protected void preShow(){
		System.out.println("SM Start page preShow");
		VBox mainVBox = new VBox(false, 5);

		Label intro = new Label( DomesdayGUI.messages.getString("SMStartHead"));
		intro.setLineWrap(true);
		mainVBox.add(intro);
		
		intro = new Label( DomesdayGUI.messages.getString("SMStartFoot"));
		intro.setLineWrap(true);
		mainVBox.add(intro);

		mainVBox.showAll();
		content =  mainVBox;
	}

}
